QGIS Application - Bug report #15691
'Expand All'/'Collapse All' issue when opening a project
2016-10-11 10:04 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23614
Description

When opening a .qgis file all groups and layers are displayed expanded. It seems this issue is a regression: #2908

Associated revisions

Revision de85fdd6 - 2016-10-14 05:21 AM - Martin Dobias

Fix layer tree expanded state when used expand/collapse all (fixes #15691)

Revision d6860f30 - 2016-10-31 05:53 AM - Martin Dobias

Fix layer tree expanded state when used expand/collapse all (fixes #15691)

(cherry picked from commit de85fdd6e8fa3d4f38196376aabccce3d17cbf341)

Revision a3186f80 - 2016-10-31 05:53 AM - Martin Dobias

Fix layer tree expanded state when used expand/collapse all (fixes #15691)

(cherry picked from commit de85fdd6e8fa3d4f38196376aabccce317cbf341)

History

#1 - 2016-10-13 04:17 AM - Martin Dobias
- Status changed from Open to Feedback

So... if you save a project with some groups or layers collapsed, they are still shown expanded when you load the project again? If that's the case, | am
unable to replicate the problem. Could you please attach more details on how to reproduce the problem and ideally add a test project that exhibits the
problem?

#2 - 2016-10-13 04:38 AM - R. R.
- File 15691.wmv added

Hi Martin, I've uploaded a screencast to demonstrate the issue.
#3 - 2016-10-13 01:47 PM - R. R.

The state of collapsed groups or layers is only saved if this small triangle icon left to the layer's name is used.

#4 - 2016-10-13 08:23 PM - Martin Dobias
- Status changed from Feedback to Closed

Fixed in changeset commit:"de85fdd6e8fa3d4f38196376aabccce317cbf341".

#5 - 2016-10-13 08:33 PM - R. R.

Thx!

#6 - 2017-09-22 09:55 AM - Jiirgen Fischer

- Category set to Unknown
